
Robotics Service Bus - Feature #1749
Feature # 44 (Resolved): Implement basic introspection support
Specify introspection protocol
02/06/2014 06:33 PM - J. Moringen

Status: Resolved Start date: 03/24/2014
Priority: High Due date: 03/24/2014
Assignee: J. Moringen % Done: 100%
Category: Introspection Estimated time: 0.00 hour
Target version: rsb-0.11
Description

Related issues:
Blocked by Robotics Service Bus - Feature # 1748: Add introspection messages ... Resolved 03/24/2014 03/24/2014

Associated revisions
Revision 48acc42c - 04/07/2014 09:03 PM - J. Moringen

Specification of introspection in specification-introspection.rst

fixes #1749

    -  specification-introspection.rst: new file; contains specification of
  the introspection protocol

    -  specification.rst: include specification-introspection.rst
    -  glossary.rst: added term "introspection"

Revision d0b36d50 - 04/07/2014 09:12 PM - J. Moringen

Specification of introspection in specification-introspection.rst

fixes #1749

    -  specification-introspection.rst: new file; contains specification of
  the introspection protocol

    -  specification.rst: include specification-introspection.rst
    -  glossary.rst: added term "introspection"

Revision 0cf09782 - 09/03/2014 12:19 PM - J. Moringen

Made id field optional in proto/rsb/protocol/operatingsystem/Host.proto

refs #1749

    -  proto/rsb/protocol/operatingsystem/Host.proto (Host::id): made
  optional; may be omitted if at least the hostname field is available
  as a fallback

Revision 4d59198d - 11/20/2014 09:16 PM - J. Moringen
News entry for introspection functionality in news.rst

refs #1749

    -  news.rst (RSB 0.11): mention general availability of introspection;
  explain level of support in individual implementations

Revision dfb53e93 - 12/18/2014 05:07 PM - J. Moringen

Made Host.id required in proto/rsb/protocol/operatingsystem/Host.proto

refs #1749

    -  proto/rsb/protocol/operatingsystem/Host.proto (Host.id): changed to
  required; specified mechanism for unique id computation for Windows,
  MacOS and other operating systems

History
#1 - 03/06/2014 01:35 PM - J. Moringen
- % Done changed from 20 to 40

#2 - 03/06/2014 01:35 PM - J. Moringen
- Assignee set to J. Moringen

#3 - 03/18/2014 04:35 AM - J. Moringen
- % Done changed from 40 to 70

#4 - 03/23/2014 08:48 PM - J. Moringen
- % Done changed from 70 to 80

#5 - 03/24/2014 09:29 PM - J. Moringen
- Status changed from In Progress to Feedback
- Assignee changed from J. Moringen to S. Wrede

#6 - 03/24/2014 09:29 PM - J. Moringen
- Priority changed from Normal to High

#7 - 03/31/2014 10:26 PM - J. Moringen
- % Done changed from 80 to 100

Ready to be committed? Maybe after a review.

#8 - 04/07/2014 06:42 PM - J. Moringen
- Status changed from Feedback to In Progress
- Assignee changed from S. Wrede to J. Moringen

#9 - 04/07/2014 09:10 PM - J. Moringen
- Status changed from In Progress to Resolved
Applied in changeset rsb-manual|commit:48acc42caca836688481e75f40482242edac4964.

#10 - 09/14/2014 01:00 PM - J. Moringen
- Category changed from Specification to Introspection
